[arch-commits] CVS update of arch/build/multimedia/alsa-lib (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Jun 8 14:28:31 EDT 2007


    Date: Friday, June 8, 2007 @ 14:28:31
  Author: tpowa
    Path: /home/cvs-arch/arch/build/multimedia/alsa-lib

Modified: PKGBUILD (1.41 -> 1.42)

'upgpkg: update to new version'


----------+
 PKGBUILD |   16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)


Index: arch/build/multimedia/alsa-lib/PKGBUILD
diff -u arch/build/multimedia/alsa-lib/PKGBUILD:1.41 arch/build/multimedia/alsa-lib/PKGBUILD:1.42
--- arch/build/multimedia/alsa-lib/PKGBUILD:1.41	Fri May 25 13:27:20 2007
+++ arch/build/multimedia/alsa-lib/PKGBUILD	Fri Jun  8 14:28:31 2007
@@ -1,26 +1,24 @@
-# $Id: PKGBUILD,v 1.41 2007/05/25 17:27:20 tpowa Exp $
+# $Id: PKGBUILD,v 1.42 2007/06/08 18:28:31 tpowa Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 
 pkgname=alsa-lib
-pkgver=1.0.14rc4
+pkgver=1.0.14
 pkgrel=1
 pkgdesc="An alternative implementation of Linux sound support"
 arch=(i686 x86_64)
 url="http://www.alsa-project.org"
 depends=('glibc')
 license=('GPL')
+options=(!libtool)
 source=(ftp://ftp.alsa-project.org/pub/lib/$pkgname-${pkgver}.tar.bz2
-	http://www.archlinux.org/~tpowa/alsa-patches/alsa-lib-20070523.patch.bz2)
-md5sums=('1c96a1e36270bc22df0a85f74df64290'
-         'cfd347008e9586246ee6064efd7f9664')
-
+	http://www.archlinux.org/~tpowa/alsa-patches/alsa-lib-20070605.patch.bz2)
+md5sums=('1ef39fb723f9209109134d6f4860cb21'
+         '4d4d889ea886b2d6ec985fe578c16bbb')
 
 build() {
   cd $startdir/src/$pkgname-${pkgver}
-  patch -Np1 -i ../alsa-lib-20070523.patch || return 1
+  patch -Np1 -i ../alsa-lib-20070605.patch || return 1
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=$startdir/pkg install
-  
-  find $startdir/pkg -name '*.la' -exec rm {} \;
 }




More information about the arch-commits mailing list